Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra.F90	(revision 9168)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra.F90	(revision 9169)
@@ -126,21 +126,23 @@
       !!----------------------------------------------------------------------
       !
-      !  Choice of lateral tracer physics
-      ! =================================
-      !
-      REWIND( numnam_ref )              ! Namelist namtra_ldf in reference namelist : Lateral physics on tracers
-      READ  ( numnam_ref, namtra_ldf, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 )   CALL ctl_nam ( ios , 'namtra_ldf in reference namelist', lwp )
-      !
-      REWIND( numnam_cfg )              ! Namelist namtra_ldf in configuration namelist : Lateral physics on tracers
-      READ  ( numnam_cfg, namtra_ldf, IOSTAT = ios, ERR = 902 )
-902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namtra_ldf in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namtra_ldf )
-      !
       IF(lwp) THEN                      ! control print
          WRITE(numout,*)
          WRITE(numout,*) 'ldf_tra_init : lateral tracer physics'
          WRITE(numout,*) '~~~~~~~~~~~~ '
-         WRITE(numout,*) '   Namelist namtra_ldf : lateral mixing parameters (type, direction, coefficients)'
+      ENDIF
+      !
+      !  Choice of lateral tracer physics
+      ! =================================
+      !
+      REWIND( numnam_ref )              ! Namelist namtra_ldf in reference namelist : Lateral physics on tracers
+      READ  ( numnam_ref, namtra_ldf, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 )   CALL ctl_nam ( ios , 'namtra_ldf in reference namelist', lwp )
+      REWIND( numnam_cfg )              ! Namelist namtra_ldf in configuration namelist : Lateral physics on tracers
+      READ  ( numnam_cfg, namtra_ldf, IOSTAT = ios, ERR = 902 )
+902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namtra_ldf in configuration namelist', lwp )
+      IF(lwm) WRITE( numond, namtra_ldf )
+      !
+      IF(lwp) THEN                      ! control print
+         WRITE(numout,*) '   Namelist : namtra_ldf --- lateral mixing parameters (type, direction, coefficients)'
          WRITE(numout,*) '      type :'
          WRITE(numout,*) '         no explicit diffusion                   ln_traldf_NONE  = ', ln_traldf_NONE
@@ -166,5 +168,5 @@
       !
       IF( ln_traldf_NONE ) THEN
-         IF(lwp) WRITE(numout,*) '   No diffusive operator selected. ahtu and ahtv are not allocated'
+         IF(lwp) WRITE(numout,*) '   ==>>>   No diffusive operator selected. ahtu and ahtv are not allocated'
          l_ldftra_time = .FALSE.
          RETURN
@@ -196,10 +198,10 @@
          !
          CASE(   0  )      !==  constant  ==!
-            IF(lwp) WRITE(numout,*) '          tracer mixing coef. = constant = ', rn_aht_0
+            IF(lwp) WRITE(numout,*) '   ==>>>   tracer mixing coef. = constant = ', rn_aht_0
             ahtu(:,:,:) = zah0 * umask(:,:,:)
             ahtv(:,:,:) = zah0 * vmask(:,:,:)
             !
          CASE(  10  )      !==  fixed profile  ==!
-            IF(lwp) WRITE(numout,*) '          tracer mixing coef. = F( depth )'
+            IF(lwp) WRITE(numout,*) '   ==>>>   tracer mixing coef. = F( depth )'
             ahtu(:,:,1) = zah0 * umask(:,:,1)                      ! constant surface value
             ahtv(:,:,1) = zah0 * vmask(:,:,1)
@@ -207,5 +209,5 @@
             !
          CASE ( -20 )      !== fixed horizontal shape read in file  ==!
-            IF(lwp) WRITE(numout,*) '          tracer mixing coef. = F(i,j) read in eddy_diffusivity.nc file'
+            IF(lwp) WRITE(numout,*) '   ==>>>   tracer mixing coef. = F(i,j) read in eddy_diffusivity.nc file'
             CALL iom_open( 'eddy_diffusivity_2D.nc', inum )
             CALL iom_get ( inum, jpdom_data, 'ahtu_2D', ahtu(:,:,1) )
@@ -218,14 +220,14 @@
             !
          CASE(  20  )      !== fixed horizontal shape  ==!
-            IF(lwp) WRITE(numout,*) '          tracer mixing coef. = F( e1, e2 ) or F( e1^3, e2^3 ) (lap or blp case)'
+            IF(lwp) WRITE(numout,*) '   ==>>>   tracer mixing coef. = F( e1, e2 ) or F( e1^3, e2^3 ) (lap or blp case)'
             IF( ln_traldf_lap )   CALL ldf_c2d( 'TRA', 'LAP', zah0, ahtu, ahtv )    ! surface value proportional to scale factor
             IF( ln_traldf_blp )   CALL ldf_c2d( 'TRA', 'BLP', zah0, ahtu, ahtv )    ! surface value proportional to scale factor
             !
          CASE(  21  )      !==  time varying 2D field  ==!
-            IF(lwp) WRITE(numout,*) '          tracer mixing coef. = F( latitude, longitude, time )'
-            IF(lwp) WRITE(numout,*) '                              = F( growth rate of baroclinic instability )'
-            IF(lwp) WRITE(numout,*) '                              min value = 0.1 * rn_aht_0'
-            IF(lwp) WRITE(numout,*) '                              max value = rn_aht_0 (rn_aeiv_0 if nn_aei_ijk_t=21)'
-            IF(lwp) WRITE(numout,*) '                              increased to rn_aht_0 within 20N-20S'
+            IF(lwp) WRITE(numout,*) '   ==>>>   tracer mixing coef. = F( latitude, longitude, time )'
+            IF(lwp) WRITE(numout,*) '                               = F( growth rate of baroclinic instability )'
+            IF(lwp) WRITE(numout,*) '                               min value = 0.1 * rn_aht_0'
+            IF(lwp) WRITE(numout,*) '                               max value = rn_aht_0 (rn_aeiv_0 if nn_aei_ijk_t=21)'
+            IF(lwp) WRITE(numout,*) '                               increased to rn_aht_0 within 20N-20S'
             !
             l_ldftra_time = .TRUE.     ! will be calculated by call to ldf_tra routine in step.F90
@@ -236,5 +238,5 @@
             !
          CASE( -30  )      !== fixed 3D shape read in file  ==!
-            IF(lwp) WRITE(numout,*) '          tracer mixing coef. = F(i,j,k) read in eddy_diffusivity.nc file'
+            IF(lwp) WRITE(numout,*) '   ==>>>   tracer mixing coef. = F(i,j,k) read in eddy_diffusivity.nc file'
             CALL iom_open( 'eddy_diffusivity_3D.nc', inum )
             CALL iom_get ( inum, jpdom_data, 'ahtu_3D', ahtu )
@@ -247,5 +249,5 @@
             !
          CASE(  30  )      !==  fixed 3D shape  ==!
-            IF(lwp) WRITE(numout,*) '          tracer mixing coef. = F( latitude, longitude, depth )'
+            IF(lwp) WRITE(numout,*) '   ==>>>   tracer mixing coef. = F( latitude, longitude, depth )'
             IF( ln_traldf_lap )   CALL ldf_c2d( 'TRA', 'LAP', zah0, ahtu, ahtv )    ! surface value proportional to scale factor
             IF( ln_traldf_blp )   CALL ldf_c2d( 'TRA', 'BLP', zah0, ahtu, ahtv )    ! surface value proportional to scale factor
@@ -254,6 +256,6 @@
             !
          CASE(  31  )      !==  time varying 3D field  ==!
-            IF(lwp) WRITE(numout,*) '          tracer mixing coef. = F( latitude, longitude, depth , time )'
-            IF(lwp) WRITE(numout,*) '                                proportional to the velocity : |u|e/12 or |u|e^3/12'
+            IF(lwp) WRITE(numout,*) '   ==>>>   tracer mixing coef. = F( latitude, longitude, depth , time )'
+            IF(lwp) WRITE(numout,*) '                                 proportional to the velocity : |u|e/12 or |u|e^3/12'
             !
             l_ldftra_time = .TRUE.     ! will be calculated by call to ldf_tra routine in step.F90
@@ -382,4 +384,10 @@
       !!----------------------------------------------------------------------
       !
+      IF(lwp) THEN                      ! control print
+         WRITE(numout,*)
+         WRITE(numout,*) 'ldf_eiv_init : eddy induced velocity parametrization'
+         WRITE(numout,*) '~~~~~~~~~~~~ '
+      ENDIF
+      !
       REWIND( numnam_ref )              ! Namelist namtra_ldfeiv in reference namelist : eddy induced velocity param.
       READ  ( numnam_ref, namtra_ldfeiv, IOSTAT = ios, ERR = 901)
@@ -392,7 +400,4 @@
 
       IF(lwp) THEN                      ! control print
-         WRITE(numout,*)
-         WRITE(numout,*) 'ldf_eiv_init : eddy induced velocity parametrization'
-         WRITE(numout,*) '~~~~~~~~~~~~ '
          WRITE(numout,*) '   Namelist namtra_ldfeiv : '
          WRITE(numout,*) '      Eddy Induced Velocity (eiv) param.      ln_ldfeiv     = ', ln_ldfeiv
@@ -415,10 +420,10 @@
          !
          CASE(   0  )      !==  constant  ==!
-            IF(lwp) WRITE(numout,*) '          eddy induced velocity coef. = constant = ', rn_aeiv_0
+            IF(lwp) WRITE(numout,*) '   ==>>>   eddy induced velocity coef. = constant = ', rn_aeiv_0
             aeiu(:,:,:) = rn_aeiv_0
             aeiv(:,:,:) = rn_aeiv_0
             !
          CASE(  10  )      !==  fixed profile  ==!
-            IF(lwp) WRITE(numout,*) '          eddy induced velocity coef. = F( depth )'
+            IF(lwp) WRITE(numout,*) '   ==>>>   eddy induced velocity coef. = F( depth )'
             aeiu(:,:,1) = rn_aeiv_0                                ! constant surface value
             aeiv(:,:,1) = rn_aeiv_0
@@ -426,5 +431,5 @@
             !
          CASE ( -20 )      !== fixed horizontal shape read in file  ==!
-            IF(lwp) WRITE(numout,*) '          tracer mixing coef. = F(i,j) read in eddy_diffusivity_2D.nc file'
+            IF(lwp) WRITE(numout,*) '   ==>>>   tracer mixing coef. = F(i,j) read in eddy_diffusivity_2D.nc file'
             CALL iom_open ( 'eddy_induced_velocity_2D.nc', inum )
             CALL iom_get  ( inum, jpdom_data, 'aeiu', aeiu(:,:,1) )
@@ -437,15 +442,15 @@
             !
          CASE(  20  )      !== fixed horizontal shape  ==!
-            IF(lwp) WRITE(numout,*) '          tracer mixing coef. = F( e1, e2 ) or F( e1^3, e2^3 ) (lap or bilap case)'
+            IF(lwp) WRITE(numout,*) '   ==>>>   tracer mixing coef. = F( e1, e2 ) or F( e1^3, e2^3 ) (lap or bilap case)'
             CALL ldf_c2d( 'TRA', 'LAP', rn_aeiv_0, aeiu, aeiv )    ! surface value proportional to scale factor
             !
          CASE(  21  )       !==  time varying 2D field  ==!
-            IF(lwp) WRITE(numout,*) '          tracer mixing coef. = F( latitude, longitude, time )'
-            IF(lwp) WRITE(numout,*) '                              = F( growth rate of baroclinic instability )'
+            IF(lwp) WRITE(numout,*) '   ==>>>   tracer mixing coef. = F( latitude, longitude, time )'
+            IF(lwp) WRITE(numout,*) '                               = F( growth rate of baroclinic instability )'
             !
             l_ldfeiv_time = .TRUE.     ! will be calculated by call to ldf_tra routine in step.F90
             !
          CASE( -30  )      !== fixed 3D shape read in file  ==!
-            IF(lwp) WRITE(numout,*) '          tracer mixing coef. = F(i,j,k) read in eddy_diffusivity_3D.nc file'
+            IF(lwp) WRITE(numout,*) '   ==>>>   tracer mixing coef. = F(i,j,k) read in eddy_diffusivity_3D.nc file'
             CALL iom_open ( 'eddy_induced_velocity_3D.nc', inum )
             CALL iom_get  ( inum, jpdom_data, 'aeiu', aeiu )
@@ -454,5 +459,5 @@
             !
          CASE(  30  )       !==  fixed 3D shape  ==!
-            IF(lwp) WRITE(numout,*) '          tracer mixing coef. = F( latitude, longitude, depth )'
+            IF(lwp) WRITE(numout,*) '   ==>>>   tracer mixing coef. = F( latitude, longitude, depth )'
             CALL ldf_c2d( 'TRA', 'LAP', rn_aeiv_0, aeiu, aeiv )    ! surface value proportional to scale factor
             !                                                 ! reduction with depth
@@ -464,5 +469,5 @@
          !
       ELSE
-          IF(lwp) WRITE(numout,*) '   eddy induced velocity param is NOT used neither diagnosed'
+          IF(lwp) WRITE(numout,*) '   ==>>>   eddy induced velocity param is NOT used neither diagnosed'
           ln_ldfeiv_dia = .FALSE.
       ENDIF