Index: /branches/NERC/dev_r5518_GO6_MEDUSA_DMS_TUNING/NEMOGCM/NEMO/TOP_SRC/MEDUSA/sms_medusa.F90
===================================================================
--- /branches/NERC/dev_r5518_GO6_MEDUSA_DMS_TUNING/NEMOGCM/NEMO/TOP_SRC/MEDUSA/sms_medusa.F90	(revision 9186)
+++ /branches/NERC/dev_r5518_GO6_MEDUSA_DMS_TUNING/NEMOGCM/NEMO/TOP_SRC/MEDUSA/sms_medusa.F90	(revision 9187)
@@ -177,4 +177,8 @@
    INTEGER  ::  jdms_model   !: choice of DMS model passed to atmosphere
 !!                              1 = ANDR, 2 = SIMO, 3 = ARAN, 4 = HALL
+!! JPALM --19-12-2017 -- UM people need to tune the Anderson DMS scheme    
+   REAL(wp) ::  dmsmin       !: Anderson DMS scheme - DMS minimum value
+   REAL(wp) ::  dmscut       !: Anderson DMS scheme - DMS cutoff value 
+   REAL(wp) ::  dmsslp       !: Anderson DMS scheme - DMS slope 
 !! FOR UKESM   
    REAL(wp) ::  scl_chl      !: scaling factor for tuned Chl passed to the UM 
Index: /branches/NERC/dev_r5518_GO6_MEDUSA_DMS_TUNING/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcdms_medusa.F90
===================================================================
--- /branches/NERC/dev_r5518_GO6_MEDUSA_DMS_TUNING/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcdms_medusa.F90	(revision 9186)
+++ /branches/NERC/dev_r5518_GO6_MEDUSA_DMS_TUNING/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcdms_medusa.F90	(revision 9187)
@@ -113,4 +113,6 @@
 !
 ! AXY (13/03/15): Anderson et al. (2001)
+!! JPALM --19-12-2017-- Tunable through the namelist
+!!                      within dmsmin - dmscut - dmsslp
         Jterm = xqsr + 1.0e-6
         !! this next line makes a hard-coded assumption about the 
@@ -120,8 +122,8 @@
         Qterm = xdin / (xdin + 0.5)
         fq1 = log10(CHL * Jterm * Qterm)
-        if (fq1 > 1.72) then
-           dms_andr = (8.24 * (fq1 - 1.72)) + 2.29
-        else
-           dms_andr = 2.29
+        if (fq1 > dmscut) then
+           dms_andr = (dmsslp * (fq1 - dmscut)) + dmsmin
+        else
+           dms_andr = dmsmin
         endif
 !
Index: /branches/NERC/dev_r5518_GO6_MEDUSA_DMS_TUNING/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcnam_medusa.F90
===================================================================
--- /branches/NERC/dev_r5518_GO6_MEDUSA_DMS_TUNING/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcnam_medusa.F90	(revision 9186)
+++ /branches/NERC/dev_r5518_GO6_MEDUSA_DMS_TUNING/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcnam_medusa.F90	(revision 9187)
@@ -87,5 +87,5 @@
       &  xsdiss,                                              &
       &  sedlam,sedlostpoc,jpkb,jdms,jdms_input,jdms_model,   &
-      &  scl_chl, chl_out
+      &  scl_chl, chl_out, dmsmin, dmscut, dmsslp
 #if defined key_roam
       NAMELIST/natroam/ xthetaphy,xthetazoo,xthetanit,        &
@@ -250,4 +250,7 @@
       scl_chl     = 1.
       chl_out     = 1
+      dmsmin      = 2.29 !! Anderson DMS default
+      dmscut      = 1.72 !! Anderson DMS default
+      dmsslp      = 8.24 !! Anderson DMS default
             
       !REWIND(numnatm)
@@ -403,5 +406,7 @@
 !!       jdms_model  :  choice of DMS model passed to atmosphere
 !!                      1 = ANDR, 2 = SIMO, 3 = ARAN, 4 = HALL, 5 = ANDM
-!!
+!!       dmsmin      : DMS minimum value for DMS Anderson (ANDR) sheme ONLY
+!!       dmscut      : DMS cutoff value for DMS Anderson (ANDR) sheme ONLY
+!!       dmsslp      : DMS slope value for DMS Anderson (ANDR) sheme ONLY
 !! UKESM1 - exported Chl to UM
 !!       scl_chl     : scaling factor to tune the chl field sent to the UM
@@ -948,5 +953,13 @@
                &   ' choice of DMS model passed to atmosphere,                  jdms_model  = Anderson et al. (2001; modified)'
             endif
-         
+            if (jdms_model .eq. 1) then
+               WRITE(numout,*)     &
+               &   ' Anderson DMS model tuned parameters:                       DMS minimum = ',dmsmin,'. -- Default = 2.29 '
+               WRITE(numout,*)     &
+               &   ' Anderson DMS model tuned parameters:                       DMS cutoff  = ',dmscut,'. -- Default = 1.72 '
+               WRITE(numout,*)     &
+               &   ' Anderson DMS model tuned parameters:                       DMS slope   = ',dmsslp,'. -- Default = 8.24 '
+            endif
+
             WRITE(numout,*) '=== UKESM1 --  coupled Chl to the atmosphere'
             WRITE(numout,*)        &