Index: /branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/namelist_cfg
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/namelist_cfg	(revision 9197)
+++ /branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/namelist_cfg	(revision 9198)
@@ -16,4 +16,11 @@
       !                    !  (=F) user defined configuration  ==>>>  see usrdef(_...) modules
       cn_domcfg = "ORCA_R2_zps_domcfg"    ! domain configuration filename
+      !                    !  (=F) user defined configuration  ==>>>  see usrdef(_...) modules
+   ln_closea    = .false.  !  T => keep closed seas (defined by closea_mask field) in the domain and apply
+      !                    !       special treatment of freshwater fluxes.
+      !                    !  F => suppress closed seas (defined by closea_mask field) from the bathymetry
+      !                    !       at runtime.
+      !                    !  If there is no closea_mask field in the domain_cfg file or we do not use
+      !                    !  a domain_cfg file then this logical does nothing.
 /
 !-----------------------------------------------------------------------
@@ -27,5 +34,5 @@
 /
 !-----------------------------------------------------------------------
-&namtsd    !   data : Temperature  & Salinity
+&namtsd        !   data : Temperature  & Salinity
 !-----------------------------------------------------------------------
 /
@@ -36,5 +43,5 @@
 /
 !-----------------------------------------------------------------------
-&namsbc_blk   !   namsbc_blk  Bulk formulae
+&namsbc_blk    !   namsbc_blk  Bulk formulae
 !-----------------------------------------------------------------------
    ln_NCAR     = .true.   ! "NCAR"      algorithm   (Large and Yeager 2008)
@@ -45,5 +52,5 @@
 /
 !-----------------------------------------------------------------------
-&namsbc_cpl
+&namsbc_cpl    !
 !-----------------------------------------------------------------------
 /
Index: /branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/cpp_ORCA2_LIM3_PISCES.fcm
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/cpp_ORCA2_LIM3_PISCES.fcm	(revision 9197)
+++ /branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/cpp_ORCA2_LIM3_PISCES.fcm	(revision 9198)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys   key_lim3 key_top key_iomput key_mpp_mpi key_nosignedzero
+bld::tool::fppkeys   key_lim3 key_iomput key_mpp_mpi key_nosignedzero
Index: /branches/2017/dev_merge_2017/NEMOGCM/CONFIG/SHARED/namelist_ref
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 9197)
+++ /branches/2017/dev_merge_2017/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 9198)
@@ -81,10 +81,10 @@
    ln_use_jattr = .false.  !  use (T) the file attribute: open_ocean_jstart, if present
    !                       !  in netcdf input files, as the start j-row for reading
-   ln_closea = .true.      !  T => keep closed seas (defined by closea_mask field) in the domain and apply
-                           !       special treatment of freshwater fluxes.
-                           !  F => suppress closed seas (defined by closea_mask field) from the bathymetry
-                           !       at runtime.
-                           !  If there is no closea_mask field in the domain_cfg file or we do not use
-                           !  a domain_cfg file then this logical does nothing.
+   ln_closea    = .true.   !  T => keep closed seas (defined by closea_mask field) in the domain and apply
+      !                    !       special treatment of freshwater fluxes.
+      !                    !  F => suppress closed seas (defined by closea_mask field) from the bathymetry
+      !                    !       at runtime.
+      !                    !  If there is no closea_mask field in the domain_cfg file or we do not use
+      !                    !  a domain_cfg file then this logical does nothing.
 /
 !-----------------------------------------------------------------------
Index: /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90	(revision 9197)
+++ /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90	(revision 9198)
@@ -95,4 +95,8 @@
             &              e3w_0   , e3uw_0  , e3vw_0           ,   &    ! vertical scale factors
             &              k_top   , k_bot            )                  ! 1st & last ocean level
+            !
+         ! Any closed seas (defined by closea_mask > 0 in domain_cfg file) to be filled 
+         ! in at runtime if ln_closea=.false.
+         IF( .NOT.ln_closea )   CALL clo_bat( k_top, k_bot )
          !
       ELSE                          !==  User defined configuration  ==!
@@ -115,8 +119,4 @@
          gde3w_0(:,:,jk) = gde3w_0(:,:,jk-1) + e3w_0(:,:,jk)
       END DO
-      !
-      ! Any closed seas (defined by closea_mask > 0 in domain_cfg file) to be filled 
-      ! in at runtime if ln_closea=.false.
-      IF( .not. ln_closea ) CALL clo_bat( k_top, k_bot )
       !
       IF(lwp) THEN                     ! Control print