Index: /branches/NERC/dev_r5518_GO6_Carb_Fail_from_GO6_9163/NEMOGCM/CONFIG/SHARED/field_def_bgc.xml
===================================================================
--- /branches/NERC/dev_r5518_GO6_Carb_Fail_from_GO6_9163/NEMOGCM/CONFIG/SHARED/field_def_bgc.xml	(revision 9198)
+++ /branches/NERC/dev_r5518_GO6_Carb_Fail_from_GO6_9163/NEMOGCM/CONFIG/SHARED/field_def_bgc.xml	(revision 9199)
@@ -1645,34 +1645,53 @@
     <field_group id="groupMEDUSA" >
       <field field_ref="CHN"      name="CHN"      />
-      <field field_ref="CHN_INV"  name="CHN_INV"  />
+      <field field_ref="CHN_E3T"  name="CHN_E3T"      />
       <field field_ref="SURF_CHN" name="SURF_CHN"  />
       <field field_ref="CHD"      name="CHD"      />
-      <field field_ref="CHD_INV"  name="CHD_INV"  />
+      <field field_ref="CHD_E3T"  name="CHD_E3T"      />
       <field field_ref="SURF_CHD" name="SURF_CHD"  />
       <field field_ref="PHN"      name="PHN"      />
+      <field field_ref="PHN_E3T"  name="PHN_E3T"      />
+      <field field_ref="PHD"      name="PHD"      />
+      <field field_ref="PHD_E3T"  name="PHD_E3T"      />
+      <field field_ref="ZMI"      name="ZMI"      />
+      <field field_ref="ZMI_E3T"  name="ZMI_E3T"      />
+      <field field_ref="ZME"      name="ZME"      />
+      <field field_ref="ZME_E3T"  name="ZME_E3T"      />
+      <field field_ref="DIN"      name="DIN"      />
+      <field field_ref="DIN_E3T"  name="DIN_E3T"      />
+      <field field_ref="SIL"      name="SIL"      />
+      <field field_ref="SIL_E3T"  name="SIL_E3T"      />
+      <field field_ref="FER"      name="FER"      />
+      <field field_ref="FER_E3T"  name="FER_E3T"      />
+      <field field_ref="DET"      name="DET"      />
+      <field field_ref="DET_E3T"  name="DET_E3T"      />
+      <field field_ref="PDS"      name="PDS"      />
+      <field field_ref="PDS_E3T"  name="PDS_E3T"      />
+      <field field_ref="DTC"      name="DTC"      />
+      <field field_ref="DTC_E3T"  name="DTC_E3T"      />
+      <field field_ref="DiC"      name="DIC"      />
+      <field field_ref="DiC_E3T"  name="DIC_E3T"      />
+      <field field_ref="ALK"      name="ALK"      />
+      <field field_ref="ALK_E3T"  name="ALK_E3T"      />
+      <field field_ref="OXY"      name="OXY"      />
+      <field field_ref="OXY_E3T"  name="OXY_E3T"      />
+      </field_group>
+
+
+    <field_group id="groupMEDUSA_INV" >
+      <field field_ref="CHN_INV"  name="CHN_INV"  />
+      <field field_ref="CHD_INV"  name="CHD_INV"  />
       <field field_ref="PHN_INV"  name="PHN_INV"  />
-      <field field_ref="PHD"      name="PHD"      />
       <field field_ref="PHD_INV"  name="PHD_INV"  />
-      <field field_ref="ZMI"      name="ZMI"      />
       <field field_ref="ZMI_INV"  name="ZMI_INV"  />
-      <field field_ref="ZME"      name="ZME"      />
       <field field_ref="ZME_INV"  name="ZME_INV"  />
-      <field field_ref="DIN"      name="DIN"      />
       <field field_ref="DIN_INV"  name="DIN_INV"  />
-      <field field_ref="SIL"      name="SIL"      />
       <field field_ref="SIL_INV"  name="SIL_INV"  />
-      <field field_ref="FER"      name="FER"      />
       <field field_ref="FER_INV"  name="FER_INV"  />
-      <field field_ref="DET"      name="DET"      />
       <field field_ref="DET_INV"  name="DET_INV"  />
-      <field field_ref="PDS"      name="PDS"      />
       <field field_ref="PDS_INV"  name="PDS_INV"  />
-      <field field_ref="DTC"      name="DTC"      />
       <field field_ref="DTC_INV"  name="DTC_INV"  />
-      <field field_ref="DiC"      name="DIC"      />
       <field field_ref="DiC_INV"  name="DIC_INV"  />
-      <field field_ref="ALK"      name="ALK"      />
       <field field_ref="ALK_INV"  name="ALK_INV"  />
-      <field field_ref="OXY"      name="OXY"      />
       <field field_ref="OXY_INV"  name="OXY_INV"  />
       </field_group>
@@ -1685,11 +1704,14 @@
       <field field_ref="qtrIDTRA"    name="qtrIDTRA"  />
       <field field_ref="qintIDTRA"   name="qintIDTRA" />
-      <field field_ref="IDTRA_INV"   name="IDTRA_INV"  />
+      <field field_ref="invIDTRA"    name="invIDTRA"  />
     </field_group>
 
     <field_group id="groupCFC" >
       <field field_ref="CFC11"     name="CFC11"     />
+      <field field_ref="CFC11_E3T" name="CFC11_E3T" />
       <field field_ref="CFC12"     name="CFC12"     />
+      <field field_ref="CFC12_E3T" name="CFC12_E3T" />
       <field field_ref="SF6"       name="SF6"       />
+      <field field_ref="SF6_E3T"   name="SF6_E3T"   />
     </field_group>
 
@@ -1697,11 +1719,8 @@
       <field field_ref="qtrCFC11"    name="qtrCFC11"   />
       <field field_ref="qintCFC11"   name="qintCFC11"  />
-      <field field_ref="CFC11_INV" name="CFC11_INV" />
       <field field_ref="qtrCFC12"    name="qtrCFC12"   />
       <field field_ref="qintCFC12"   name="qintCFC12"  />
-      <field field_ref="CFC12_INV" name="CFC12_INV" />
       <field field_ref="qtrSF6"      name="qtrSF6"     />
       <field field_ref="qintSF6"     name="qintSF6"    />
-      <field field_ref="SF6_INV"   name="SF6_INV"   />
     </field_group>
 